### Method

# FwupdPlugin Context get_hwid_replace_value

#### Declaration [src]

    gchar*
    fu_context_get_hwid_replace_value (
      FuContext* self,
      const gchar* keys,
      GError** error
    )

#### Description [src]

Gets the replacement value for a specific key. All hardware IDs on a specific system can be shown using the `fwupdmgr hwids` command.

Available since: | 1.6.0

#### Parameters

`keys` | `const gchar*`
| A key, e.g. `HardwareID-3` or `FU_HWIDS_KEY_PRODUCT_SKU`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A string, or `NULL` for error.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.